package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.OrgSecUserTypeMapper;
import com.sa.ibiz.demo.demo.domain.OrgSecUserType;
import com.sa.ibiz.demo.demo.service.OrgSecUserTypeService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.OrgSecUserTypeSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[OrgSecUserType] 服务对象接口实现
 */
@Service
public class OrgSecUserTypeServiceImpl extends ServiceImplBase<OrgSecUserTypeMapper, OrgSecUserType> implements OrgSecUserTypeService{


    @Resource
    private OrgSecUserTypeMapper orgsecusertypeMapper;


    @Override
    public boolean create(OrgSecUserType et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(OrgSecUserType et){
        this.beforeUpdate(et);
		this.orgsecusertypeMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(OrgSecUserType et){
		return et.getOrgsecusertypeid();  
    }

    @Override
    public boolean getDraft(OrgSecUserType et)  {
            return true;
    }

	public List<OrgSecUserType> listDefault(OrgSecUserTypeSearchFilter filter) {
		return orgsecusertypeMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<OrgSecUserType> searchDefault(OrgSecUserTypeSearchFilter filter) {
		return orgsecusertypeMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return orgsecusertypeMapper.selectRow(sql);
    }

 }